Get an event
Gets one event by its id (evt_...), if you can see it: the same record list_events returns.
AuthorizationBearer <token>
Signed-in user's Supabase access token. Workspace-scoped operations also require SMB-Workspace-Id.
In: header
Path Parameters
event_id*string
Match
^evt_[0-7][0-9A-HJKMNP-TV-Z]{25}$Header Parameters
SMB-Workspace-Id*string
Workspace where this operation runs. Required for user tokens and Workspace API keys.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/events/string" \ -H "SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": { "id": "string", "type": "string", "occurred_at": "string", "room": { "id": "string", "title": "string" }, "actor": { "type": "person", "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5", "name": "string", "via": { "kind": "agent", "name": "string", "client_id": "5b3fa7ba-57d3-4017-a65b-d57dcd2db643" } }, "subject": { "type": "string", "id": "string", "name": "string" }, "about": { "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5", "email": "string", "name": "string" }, "data": { "property1": null, "property2": null }, "mine": true }, "request_id": "string"}